### File

`packages/components/externals/charts/model/apex-types.ts`

### Description

Chart Datalabels options See https://apexcharts.com/docs/options/datalabels/

### Index

###### Properties
Optional background Optional distributed Optional dropShadow Optional enabled Optional enabledOnSeries Optional offsetX Optional offsetY Optional style Optional textAnchor
###### Methods
Optional formatter

### Methods

Optional formatter
`formatter(val: string | number | number[], opts?: any)`
Parameters :
Name | Type | Optional
val | `string | number | number[]` | No
opts | `any` | Yes
Returns : `string | number | []`

### Properties

background
`background: `literal type``
Type : `literal type`
Optional

distributed
`distributed: `boolean``
Type : `boolean`
Optional

dropShadow
`dropShadow: `ApexDropShadow``
Type : `ApexDropShadow`
Optional

enabled
`enabled: `boolean``
Type : `boolean`
Optional

enabledOnSeries
`enabledOnSeries: `undefined | number[]``
Type : `undefined | number[]`
Optional

offsetX
`offsetX: `number``
Type : `number`
Optional

offsetY
`offsetY: `number``
Type : `number`
Optional

style
`style: `literal type``
Type : `literal type`
Optional

textAnchor
`textAnchor: `"start" | "middle" | "end"``
Type : `"start" | "middle" | "end"`
Optional

# results matching ""

# No results matching ""